Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QHGroupBox Class Reference

The QHGroupBox widget organizes widgets in a group with one horizontal row. More...

`#include <qhgroupbox.h>`

Inherits QGroupBox.

List of all member functions.

## Public Members

- QHGroupBox ( QWidget * parent = 0, const char * name = 0 )
- QHGroupBox ( const QString & title, QWidget * parent = 0, const char * name = 0 )
- ~QHGroupBox ()

## Detailed Description

The QHGroupBox widget organizes widgets in a group with one horizontal row.

QHGroupBox is a convenience class that offers a thin layer on top of QGroupBox. Think of it as a QHBox that offers a frame with a title.

See also QVGroupBox, Widget Appearance and Style, Layout Management, and Organizers.

## Member Function Documentation

### QHGroupBox::QHGroupBox ( QWidget * parent = 0, const char * name = 0 )

Constructs a horizontal group box with no title.

The parent and name arguments are passed to the QWidget constructor.

### QHGroupBox::QHGroupBox ( const QString & title, QWidget * parent = 0, const char * name = 0 )

Constructs a horizontal group box with the title title.

The parent and name arguments are passed to the QWidget constructor.

### QHGroupBox::~QHGroupBox ()

Destroys the horizontal group box, deleting its child widgets.

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.